// Code generated by go-swagger; DO NOT EDIT.

package virtual_machines

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*VMGetDefault An unexpected error response

swagger:response vmGetDefault
*/
type VMGetDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewVMGetDefault creates VMGetDefault with default headers values
func NewVMGetDefault(code int) *VMGetDefault {
	if code <= 0 {
		code = 500
	}

	return &VMGetDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the vm get default response
func (o *VMGetDefault) WithStatusCode(code int) *VMGetDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the vm get default response
func (o *VMGetDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the vm get default response
func (o *VMGetDefault) WithPayload(payload *models.Error) *VMGetDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the vm get default response
func (o *VMGetDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *VMGetDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
